// Configurator.cpp
// Visualisation string messages.
// (no configuration in this version).
// A. Savidis, Y.Lilis.
// November, 2005.
// Project: JET Suite (Execution visualizer, Savidis, 2005).
//

#ifdef	HAS_VISUALIZER

#include "Configurator.h"

char* Configurator::OnRFormat = "Executing command %s(R%d, R%d, R%d) at line %d";
char* Configurator::OnIFormat = "Executing command %s(R%d, R%d, %d) at line %d";
char* Configurator::OnLFormat = "Executing command %s(R%d, %d) at line %d";

char* Configurator::OnBranch = "Executing command %s(%s%d, %s%d, %s) at line %d";
char* Configurator::OnJump = "Executing command %s(%s) at line %d";

char* Configurator::OnRegAssign = "Assigning to register R%d value %d";
char* Configurator::OnMemAssign = "Assigning to memory position %d value %d";

char* Configurator::RegAssignWarn = "WARNING : Assigned register value must be in decimal form.";
char* Configurator::MemAssignWarnInvalid = "WARNING : Assigned memory value must be in a positive decimal form.";
char* Configurator::MemAssignWarnOutOfRange = "WARNING : Assigned memory value must be in the range of [0, 255].";

#endif	// HAS_VISUALIZER
